Forum Linux.debian/ubuntu Lancement d'un machine virtuelle.

Posté par  . Licence CC By‑SA.
Étiquettes : aucune
1
27
jan.
2018

Bonsoir tous,

Je suis habitué a poster sur le forum ubuntu mais cela n'a fonctionné qu'un temps, je vois que les gens visite ce sujet sans avoir de reponse a y apporter.. mon precedent post sur un probleme de reglage de luminosité de l'ecran n'a carrement eu aucune reponse alors je me met en quete d'un autre forum, voila pourquoi je fais mon entré sur votre plateforme. pour ma part, je fonctionne avec Ubuntu.
Alors voila tout a l'heure j'ai installé VirtualBox dans le but d'établir une machine virtuelle (Kali mais peu importe je crois),
l'installation se passe bien, je charge l'iso, et au moment de cliquer sur "demarrer" deux fenetre s'affichent :
"
Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please install virtualbox-dkms package and load the kernel module by executing

'modprobe vboxdrv'

as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.
"
Vous la connaissez j'imagine car j'ai trouvé une discussion sur ce forum ou quelqu'un avait me semble t il le meme probleme : https://forum.ubuntu-fr.org/viewtopic.php?id=1855491 .
J'ai alors suivis chaque etapes conseillées par tiramiseb, j'arrive au moment de réinstaller VirtualBox en ligne de commande et comme j'etais passé par la logitheque je pensais que peut etre cet autre chemin m'aiderait mais non, c'est a croire que le probleme est finalement different de celui du topic que tiramiseb a résolu car j'en suis au meme stade hmm
( si j'installe le paquet virtualbox-dkms, et qu'ensuite j'execute la commande modprobe vboxdrv, quand je tente de demarrer la VM c'est carrement le freeze complet de l'ordinateur … )


    vash@vash-the-stampede:~$ virtualbox
WARNING: The character device /dev/vboxdrv does not exist.
     Please install t
he virtualbox-dkms package and the appropriate
     headers, most likely linux-headers-generic.

je m'execute et j'installe virtualbox-dkms

    sudo apt-get install virtualbox-dkms
sudo: impossible de déterminer le nom de l'hôte vash-the-stampede
[sudo] Mot de passe de vash : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
virtualbox-dkms est déjà la version la plus récente (5.0.40-dfsg-0ubuntu1.16.04.2).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 6 non mis à jour.
2 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] 
Paramétrage de virtualbox (5.0.40-dfsg-0ubuntu1.16.04.2) ...
insserv: warning: script 'K99apache' missing LSB tags and overrides
insserv: warning: script 'apache' missing LSB tags and overrides
insserv: There is a loop at service plymouth if started
insserv: There is a loop between service plymouth and urandom if started
insserv:  loop involving service urandom at depth 4
insserv:  loop involving service hwclock at depth 3
insserv: There is a loop between service apache and udev if started
insserv:  loop involving service udev at depth 1
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
insserv: Max recursions depth 99 reached
insserv:  loop involving service cups-browsed at depth 2
insserv: There is a loop at service apache if started
insserv:  loop involving service mountkernfs at depth 1
insserv:  loop involving service apache at depth 1
insserv: There is a loop between service apache and dns-clean if started
insserv:  loop involving service dns-clean at depth 1
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: erreur de traitement du paquet virtualbox (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
dpkg: des problèmes de dépendances empêchent la configuration de virtualbox-qt :
 virtualbox-qt dépend de virtualbox (= 5.0.40-dfsg-0ubuntu1.16.04.2) ; cependant :
 Le paquet virtualbox n'est pas encore configuré.

dpkg: erreur de traitement du paquet virtualbox-qt (--configure) :
 problèmes de dépendances - laissé non configuré
Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                  Des erreurs ont été rencontrées pendant l'exécution :
 virtualbox
 virtualbox-qt
E: Sub-process /usr/bin/dpkg returned an error code (1)

je me laisse alors deriver sur ce Sub-process jusqu'ici : https://doc.ubuntu-fr.org/probleme_apt
mais rien y fait.
Pour moi c'est le foutoir mais j'espere que ce message posera les base de mon probleme eheh
N'hesitez pas a demander tout complement que vous jugerez nécessaire!

  • # Pour installer correctement VirtualBox

    Posté par  . Évalué à 2.

    • [^] # Re: Pour installer correctement VirtualBox

      Posté par  . Évalué à 1. Dernière modification le 27/01/18 à 14:19.

      Bonjour


      Please install t
      he virtualbox-dkms package and the appropriate
      headers, most likely linux-headers-generic.

      Je pense qu'il lui manquera encore linux-headers-generic
      à moins qu'il ne lance cette ligne de commande

      sudo apt-get install gcc make linux-headers-$(uname -r|sed 's,[^-]*-[^-]*-,,')
      

      pour ensuite pouvoir installer VirtualBox.

      • [^] # Re: Pour installer correctement VirtualBox

        Posté par  . Évalué à 1.

        voici ce que me retourne cette ligne de commande :

        vash@vash-the-stampede:/usr/bin$ sudo apt-get install gcc make linux-headers-$(uname -r|sed 's,[^-]*-[^-]*-,,')
        sudo: impossible de déterminer le nom de l'hôte vash-the-stampede
        [sudo] Mot de passe de vash : 
        Lecture des listes de paquets... Fait
        Construction de l'arbre des dépendances       
        Lecture des informations d'état... Fait
        gcc est déjà la version la plus récente (4:5.3.1-1ubuntu1).
        make est déjà la version la plus récente (4.1-6).
        linux-headers-generic est déjà la version la plus récente (4.4.0.112.118).
        0 mis à jour, 0 nouvellement installés, 0 à enlever et 6 non mis à jour.
        3 partiellement installés ou enlevés.
        Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
        Souhaitez-vous continuer ? [O/n] 
        Paramétrage de virtualbox (5.0.40-dfsg-0ubuntu1.16.04.2) ...
        insserv: warning: script 'K99apache' missing LSB tags and overrides
        insserv: warning: script 'apache' missing LSB tags and overrides
        insserv: There is a loop at service plymouth if started
        insserv: There is a loop between service plymouth and urandom if started
        insserv:  loop involving service urandom at depth 4
        insserv:  loop involving service hwclock at depth 3
        insserv: There is a loop between service apache and udev if started
        insserv:  loop involving service udev at depth 1
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Starting apache depends on plymouth and therefore on system facility `$all' which can not be true!
        insserv: Max recursions depth 99 reached
        insserv:  loop involving service cups-browsed at depth 2
        insserv: There is a loop at service apache if started
        insserv:  loop involving service mountkernfs at depth 1
        insserv:  loop involving service apache at depth 1
        insserv: There is a loop between service apache and dns-clean if started
        insserv:  loop involving service dns-clean at depth 1
        insserv: exiting now without changing boot order!
        update-rc.d: error: insserv rejected the script header
        dpkg: erreur de traitement du paquet virtualbox (--configure) :
         le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
        dpkg: des problèmes de dépendances empêchent la configuration de virtualbox-qt :
         virtualbox-qt dépend de virtualbox (= 5.0.40-dfsg-0ubuntu1.16.04.2) ; cependant :
         Le paquet virtualbox n'est pas encore configuré.
        
        dpkg: erreur de traitement du paquet virtualbox-qt (--configure) :
         problèmes de dépendances - laissé non configuré
        dpkg: des problèmes de dépendances empêchent la configuration de virtualbox-ext-pack :
         virtualbox-ext-pack dépend de virtualbox (>= 5.0.40-dfsg-0~) | virtualbox-5.0 ; cependant :
         Le paquet virtualbox n'est pas encore configuré.
          Le paquet virtualbox-5.0 n'est pas installé.
         virtualbox-ext-pack dépend de virtualbox (<< 5.0.40-dfsg-z) | virtualbox-5.0 ; cependant :
         Le paquet virtualbox n'est pas encore configuré.
          Le paquet virtualbox-5.0 n'est pas installé.
        
        dpkg: erreur de traitement du paquet virtualbox-ext-pack (--configure) :
         problèmes de dépendances - laissé non configuré
        Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                         Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                          Des erreurs ont été rencontrées pendant l'exécution :
         virtualbox
         virtualbox-qt
         virtualbox-ext-pack
        E: Sub-process /usr/bin/dpkg returned an error code (1)
        
        

        Sans les balise code ça doit vous faire des topic archi long x)

  • # ok

    Posté par  . Évalué à 1.

    Bon je veux bien la réinstaller encore si c'est votre réponse.

  • # Une mise à jour de la liste des paquetages avant d'installer

    Posté par  . Évalué à 1. Dernière modification le 27/01/18 à 14:30.

    Avant de lancer l'installation de nouveaux paquetages,
    j'avais oublié de te conseiller de faire d'abord

    une mise à jour de la liste des paquetages :

    sudo apt-get update
    

    et une mise à jour de ton système :

    sudo apt-get upgrade
    
  • # cest fait

    Posté par  . Évalué à 2. Dernière modification le 27/01/18 à 14:52.

    Bon j'ai donc intallé une troisieme fois virtualbox apres l'avoir supprimer en mode purge,

    cela me ramene au meme point, c'est ce que j'expliquais dans mon premier post : les topic qui conseille et expliquent qu'il faut réinstaller n'avait pas fait avancer mon schmilblik.

    pour ce qui est de update/upgrade je le fais tout les matins au démarrage ca fait partis de ma routine eheh.
    ```
    Des erreurs ont été rencontrées pendant l'exécution :
    virtualbox
    virtualbox-ext-pack
    virtualbox-qt
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    vash@vash-the-stampede:/usr/bin$ virtualbox
    WARNING: The character device /dev/vboxdrv does not exist.
    Please install the virtualbox-dkms package and the appropriate
    headers, most likely linux-headers-generic.

     You will not be able to start VMs until this problem is fixed.
    
    La deuxieme partie de ce bloc terminal apparait au lancement de virtualbox, me prevenant que ça ne fonctionnera pas, me conseillant d'installer quelque chose qui n'y change rien :/ 
    
    edit: j'avais raté la plus recente de vos reponse, je vais tenter votre ligne de commande
    
  • # virtualbox-dkms

    Posté par  . Évalué à 2.

    Il faut donc installer d'abord le paquet virtualbox-dkms. On le voit sur la copie d'écran dans http://www.numopen.fr/Installer-et-parametrer-VirtualBox-dans-Linux-Mint-MATE

  • # ..

    Posté par  . Évalué à 1.

    Je dis avoir réinstallé dans mon premier message, vous me dites de reinstaller.

    Je dis avoir installer le paquet virtualbox-dkms et vous me dites d'installer ce paquet ?

    Franchement je ne comprend plus, lisez vous mes message ?

  • # et si les log servaient a quelque chose ....

    Posté par  . Évalué à 2.

    bonjour,

    Par rapport a ce que tu as posté, je comprend que l’installation de virtualbox ne se finalise pas:

    Paramétrage de virtualbox (5.0.40-dfsg-0ubuntu1.16.04.2) …
    insserv: warning: script 'K99apache' missing LSB tags and overrides

    insserv: Max recursions depth 99 reached

    insserv: exiting now without changing boot order!
    update-rc.d: error: insserv rejected the script header
    dpkg: erreur de traitement du paquet virtualbox (--configure) :
    le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1

    Je pense qu'il faudrait régler ce problème insserv
    Le configuration du paquet VirtualBox ne se finalise pas a cause de cela. ( le paquet lsb est-il installé ? )

    Voir du coté de syslog

    savoir aussi si après un redémarrage /dev/vboxdrv existe et avec quel droit
    ls -l /dev/vboxdrv

    • [^] # Re: et si les log servaient a quelque chose ....

      Posté par  . Évalué à 1.

      Bonjour, alors effectivement le paquet lsb n'etait pas installé, je l'ai fais, je vais suivre les conseil de votre reponse mais j'aurais une question annexe pendant ce temps :

      Avez vous une idée du pourquoi tout mes installation de paquet finissent de la maniere suivante ?

      :
      ```

      Des erreurs ont été rencontrées pendant l'exécution :
           virtualbox
           virtualbox-qt
           virtualbox-ext-pack
           rsync
           at
           lsb-core
           lsb-printing
           lsb
          E: Sub-process /usr/bin/dpkg returned an error code (1)
      vash@vash-the-stampede:~$ 
      
  • # faire confiance à SUN

    Posté par  . Évalué à 2.

    il ne faut plus installer virtualbox depuis le gestionnaire de paquet des distributions,
    SUN propose des paquets pour installer correctement virtualbox sur les machines windows, linux, OSX

    dans notre cas, ici un linux :
    https://www.virtualbox.org/wiki/Linux_Downloads

    ensuite le vboxdrv qui n'est pas installé va s'installer en demarrant le service ou en executant une commande du style
    service vboxdrv start ou /usr/sbin/vboxdrv setup tel qu'indiqué dans la ligne de commande ou la fenetre de virtualbox quand tu demarres le logiciel.

    • [^] # Re: faire confiance à SUN

      Posté par  . Évalué à 1.

      je viens d'installer le paquet correspondant a mon ubuntu a partir de votre lien, le probleme reste exactement le meme, les deux même fenetre s'ouvrent aux lancement de la machine virtuelle. Et quand j'execute " service vboxdrv start " et que je lance la machine, c'est un freeze complet de l'ordinateur m'obligeant a l'eteindre de facon hard. Exactement la même chose en somme

      • [^] # Re: faire confiance à SUN

        Posté par  . Évalué à 2.

        le service se lance bien evidemment en tant que "root" avec la commande complete sudo service vboxdrv start
        puis on lance l'interface de virtualbox, et enfin on cree/demarre la VM

        chez toi ca plante au lancement de virtualbox ou au lancement de la VM ?

        ta machine dispose des instructions de virtualisation au niveau du processeur ? (en gros c'est quoi ton processeur ?)
        ces instructions sont activées dans le bios ?

        tu as essayé d'autres outils de virtualisation avant ?
        je me souviens qu'on ne pouvait pas avoir vmware et virtualbox sur la meme machine car l'un des deux gener l'autre au niveau des ressources.

  • # …impossible de déterminer le nom de l'hôte…

    Posté par  . Évalué à 1.

    …
    sudo: impossible de déterminer le nom de l'hôte vash-the-stampede
    …
    

    Voir le contenu de /etc/hosts

    • [^] # Re: …impossible de déterminer le nom de l'hôte…

      Posté par  . Évalué à 1.

      oui ça c'est un autre probleme il faut que je change un nom, c'est vrai tiens jvais le faire, mais je ne pense pas que ça ai d'insidence si ?

      • [^] # Re: …impossible de déterminer le nom de l'hôte…

        Posté par  . Évalué à 1.

        d'ailleurs tiens puisqu'on en parle, en fait j'ai changé ce nom en esperant ne plus avoir le nom a rallonge qu'ils m'ont mit a l'installation :

        vash@vash-the-stampede:~$ cat /etc/hosts
        127.0.0.1   localhost
        127.0.1.1   vash-MacBookPro-Invalid-entry-length-DMI-table-is-broken-Stop
        
        # The following lines are desirable for IPv6 capable hosts
        ::1     ip6-localhost ip6-loopback
        fe00::0 ip6-localnet
        ff00::0 ip6-mcastprefix
        ff02::1 ip6-allnodes
        ff02::2 ip6-allrouters
        
        ```Je sais que je devrais remplacer le nom dans hostname par celui ci mais bon, je pense pas que ce soit normal, comment faire pour le changer sans avoir une ligne d'erreur a chaque fois que je fais quelque chose ?
        
        • [^] # Re: …impossible de déterminer le nom de l'hôte…

          Posté par  . Évalué à 2.

          tu sembles utiliser un macbook d'apres le nom de ta machine,
          tu fais tourner linux dessus, puis tu as un souci avec virtualbox,
          ou tu es sous macOS, avec virtualbox dans lequel tu veux faire tourner un linux ?

  • # Mon expérience récente

    Posté par  (site Web personnel) . Évalué à 2.

    D'après mon expérience et mes recherches, le paquet Virtualbox fourni par Ubuntu ne fonctionne plus depuis les mises à jours concernant les failles Spectre et Meltdown (début janvier): le lancement d'une machine virtuelle fait freezer la machine hôte. C'est un sujet récurrent sur le forum de virtualbox, où on conseille d'installer la version de test compilée par Oracle.

    J'ai pour ma part installé la version stable depuis les dépôts de virtualbox, et ça a résolu mon problème. Mais il faut bien supprimer tous les paquets de la précédente installation avant d'installer la version d'Oracle!

    sudo apt-get autoremove virtualbox*
    sudo nano /etc/apt/sources.list
    

    Ajouter la ligne suivante dans le fichier:

    deb https://download.virtualbox.org/virtualbox/debian xenial contrib
    

    Puis on ajoute la clé du dépôt, et on installe le logiciel:

    wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
    sudo apt-get install virtualbox-5.2 dkms
    

    Le paquet virtualbox-dkms est inutile pour cette version

    Un LUG en Lorraine : https://enunclic-cappel.fr

    • [^] # Re: Mon expérience récente

      Posté par  . Évalué à 1.

      Ahhh merci, je n'ai pas encore essayé mais cela m'a l'air consistant comme reponse, je vous tiens au courant.

      • [^] # Re: Mon expérience récente

        Posté par  (site Web personnel) . Évalué à 1.

        Petites précisions:

        Il est préférable d'ajouter le dépôt dans le fichier réservé aux dépôts additionnels:
        /etc/apt/sources.list.d/additional-repositories.list
        Mais bon, ça devrait marcher quand même!

        Et la ligne que j'ai mis en exemple est pour Ubuntu 16.04 xenial, il faudra remplacer xenial par le petit nom de ta version d'Ubuntu

        Bonne chance

        Un LUG en Lorraine : https://enunclic-cappel.fr

        • [^] # Re: Mon expérience récente

          Posté par  . Évalué à 1.

          ahhh mais j'avais raté ton second post, je vais ajouter le depot et retenter.

        • [^] # Re: Mon expérience récente

          Posté par  . Évalué à 1. Dernière modification le 28/01/18 à 23:05.

          je sais que c'est la version 16.04.03 mais comment savoir si c'est la Xenial ou la Trusty Tahr ?

          Je galere je ne le trouve nul part erf

          J'ai ajouté le depot dans le fichier que tu me recommande, mais ce second fichier dont tu parle est vide, il n'y a qu'une ligne dedans, celle que j'y ajoute. c'est normal d'apres vous ?

    • [^] # Re: Mon expérience récente

      Posté par  . Évalué à 1.

      Alors, j'ai supprimé virtualbox, j'ai édité le fichier avec nano, mais au moment d'installer virtualbox voici ce que le terminal me renvoi :

      "

      vash@vash-the-stampede:~$ sudo apt-get install virtualbox-5.2 dkms
      sudo: impossible de déterminer le nom de l'hôte vash-the-stampede
      Lecture des listes de paquets... Fait
      Construction de l'arbre des dépendances
      Lecture des informations d'état... Fait
      E: Impossible de trouver le paquet virtualbox-5.2
      E: Couldn't find any package by glob 'virtualbox-5.2'
      E: Impossible de trouver de paquet correspondant à l'expression rationnelle « virtualbox-5.2 »
      "

      • [^] # Re: Mon expérience récente

        Posté par  (site Web personnel) . Évalué à 1. Dernière modification le 28/01/18 à 23:04.

        J'ai oublié la ligne pour que apt mette à jour sa liste de paquets:

        sudo apt-get update
        

        et après ça, tu peux retenter l'installation. La Ubuntu 16.04 c'est bien xenial ;)

        PS: Pour ton message d'erreur avec sudo:
        https://forum.ubuntu-fr.org/viewtopic.php?id=1944501

        Un LUG en Lorraine : https://enunclic-cappel.fr

        • [^] # Re: Mon expérience récente

          Posté par  . Évalué à 1.

          Et bien merci, je n'ai pas essayé d'installer l'iso mais en tout cas la machine s'est lancée correctement sans provoquer de freeze !

          Merci de vous etre pencher la dessus, ca me sort bien du brun comme on dit

        • [^] # Re: Mon expérience récente

          Posté par  . Évalué à 1.

          bonsoir, je reviens vers vous au cas ou cela vous parlerait aussi, apres installation de kali sur VirtualBox, lorsque je lance la machine virtuelle kali s'ouvre un terminal " boot : "

          Sauriez vous quoi en faire ?

          Il me semblait vous avoir envoyé ma question mais je ne retrouve pas ou il me l'a mise dans cette conversation alors je doute donc je la reposte ( et je l'ai cherché mais cette présentation n'est pas evidente x) )

          merci d'avance mr

          • [^] # Re: Mon expérience récente

            Posté par  . Évalué à 2.

            boot:

            c'est generalement qu'il n'y a rien de configurer par defaut dans le gestionnaire de demarrage,
            il suffit parfois de faire enter pour demarrer le truc par defaut, ou tab pour connaitre le choix disponible

            autre possibilité, lire la documentation de Kali, qui explique peut-etre ce qu'il faut taper, en fonction de ce que tu veux faire

  • # /etc/hosts

    Posté par  . Évalué à 1. Dernière modification le 29/01/18 à 11:03.

    …comment faire pour le changer sans avoir une ligne d'erreur a chaque fois que je fais quelque chose ?

    Dans le fichier /etc/hosts

    remplace la ligne :

    127.0.1.1 vash-MacBookPro-Invalid-entry-length-DMI-table-is-broken-Stop

    par la ligne suivante :

    127.0.1.1 vash-the-stampede

    • [^] # Re: /etc/hosts

      Posté par  . Évalué à 1.

      bonsoir, j'ai effectuer les modification que vous préconisiez mais je me retrouve maintenant avec les deux problemes : le nom trés long et le message d'erreur a chaque demarche par ligne de commande :

      vash@vash-MacBookPro-Invalid-entry-length-DMI-table-is-broken-Stop:~$ sudo nano /etc/hosts
      sudo: impossible de déterminer le nom de l'hôte vash-MacBookPro-Invalid-entry-length-DMI-table-is-broken-Stop
      

      Je precise qu'ici je ne tapais pas la commande nano /etc/hosts pour le modifier mais pour verifier que ma modification etait bien effective

      • [^] # Re: /etc/hosts

        Posté par  . Évalué à 1.

        autant pour moi, stupid-me n'avait pas rebooté son ordi, tout va mieux au niveaux du nom. eheh

Suivre le flux des commentaires

Note : les commentaires appartiennent à celles et ceux qui les ont postés. Nous n’en sommes pas responsables.